scala.collection

# JavaConversions

#### object JavaConversions extends WrapAsScala with WrapAsJava

A collection of implicit conversions supporting interoperability between Scala and Java collections.

The following conversions are supported:

    scala.collection.Iterable <=> java.lang.Iterable
    scala.collection.Iterable <=> java.util.Collection
    scala.collection.Iterator <=> java.util.{ Iterator, Enumeration }
    scala.collection.mutable.Buffer <=> java.util.List
    scala.collection.mutable.Set <=> java.util.Set
    scala.collection.mutable.Map <=> java.util.{ Map, Dictionary }
    scala.collection.mutable.ConcurrentMap (deprecated since 2.10) <=> java.util.concurrent.ConcurrentMap
    scala.collection.concurrent.Map <=> java.util.concurrent.ConcurrentMap

In all cases, converting from a source type to a target type and back again will return the original source object, eg.

    import scala.collection.JavaConversions._

    val sl = new scala.collection.mutable.ListBuffer[Int]
    val jl : java.util.List[Int] = sl
    val sl2 : scala.collection.mutable.Buffer[Int] = jl
    assert(sl eq sl2)

In addition, the following one way conversions are provided:

    scala.collection.Seq         => java.util.List
    scala.collection.mutable.Seq => java.util.List
    scala.collection.Set         => java.util.Set
    scala.collection.Map         => java.util.Map
    java.util.Properties         => scala.collection.mutable.Map[String, String]

Source
  JavaConversions.scala
Since

  2.8

Linear Supertypes
WrapAsJava, WrapAsScala, LowPriorityWrapAsScala, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaConversions
2. WrapAsJava
3. WrapAsScala
4. LowPriorityWrapAsScala
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type ConcurrentMapWrapper[A, B] = convert.Wrappers.ConcurrentMapWrapper[A, B]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

2. #### type DictionaryWrapper[A, B] = convert.Wrappers.DictionaryWrapper[A, B]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

3. #### type IterableWrapper[A] = convert.Wrappers.IterableWrapper[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

4. #### type IteratorWrapper[A] = convert.Wrappers.IteratorWrapper[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

5. #### type JCollectionWrapper[A] = convert.Wrappers.JCollectionWrapper[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

6. #### type JConcurrentMapWrapper[A, B] = convert.Wrappers.JConcurrentMapWrapper[A, B]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

7. #### type JDictionaryWrapper[A, B] = convert.Wrappers.JDictionaryWrapper[A, B]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

8. #### type JEnumerationWrapper[A] = convert.Wrappers.JEnumerationWrapper[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

9. #### type JIterableWrapper[A] = convert.Wrappers.JIterableWrapper[A]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

10. #### type JIteratorWrapper[A] = convert.Wrappers.JIteratorWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

11. #### type JListWrapper[A] = convert.Wrappers.JListWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

12. #### type JMapWrapper[A, B] = convert.Wrappers.JMapWrapper[A, B]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

13. #### type JPropertiesWrapper = convert.Wrappers.JPropertiesWrapper

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

14. #### type JSetWrapper[A] = convert.Wrappers.JSetWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

15. #### type MapWrapper[A, B] = convert.Wrappers.MapWrapper[A, B]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

16. #### type MutableBufferWrapper[A] = convert.Wrappers.MutableBufferWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

17. #### type MutableMapWrapper[A, B] = convert.Wrappers.MutableMapWrapper[A, B]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

18. #### type MutableSeqWrapper[A] = convert.Wrappers.MutableSeqWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

19. #### type MutableSetWrapper[A] = convert.Wrappers.MutableSetWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

20. #### type SeqWrapper[A] = convert.Wrappers.SeqWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

21. #### type SetWrapper[A] = convert.Wrappers.SetWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

22. #### type ToIteratorWrapper[A] = convert.Wrappers.ToIteratorWrapper[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### implicit def asJavaCollection[A](it: Iterable[A]): Collection[A]

   Implicitly converts a Scala Iterable to an immutable Java Collection.

   Implicitly converts a Scala Iterable to an immutable Java Collection.

   If the Scala Iterable was previously obtained from an implicit or explicit call of `asSizedIterable(java.util.Collection)` then the original Java Collection will be returned.

   it

     The SizedIterable to be converted.

   returns

     A Java Collection view of the argument.

   Definition Classes
     WrapAsJava

8. #### implicit def asJavaDictionary[A, B](m: mutable.Map[A, B]): Dictionary[A, B]

   Implicitly converts a Scala mutable `Map` to a Java `Dictionary`.

   Implicitly converts a Scala mutable `Map` to a Java `Dictionary`.

   The returned Java `Dictionary` is backed by the provided Scala `Dictionary` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala `Dictionary` was previously obtained from an implicit or explicit call of `asMap(java.util.Dictionary)` then the original Java Dictionary will be returned.

   m

     The `Map` to be converted.

   returns

     A Java `Dictionary` view of the argument.

   Definition Classes
     WrapAsJava

9. #### implicit def asJavaEnumeration[A](it: Iterator[A]): java.util.Enumeration[A]

   Implicitly converts a Scala Iterator to a Java Enumeration.

   Implicitly converts a Scala Iterator to a Java Enumeration. The returned Java Enumeration is backed by the provided Scala Iterator and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala Iterator was previously obtained from an implicit or explicit call of `asIterator(java.util.Enumeration)` then the original Java Enumeration will be returned.

   it

     The Iterator to be converted.

   returns

     A Java Enumeration view of the argument.

   Definition Classes
     WrapAsJava

10. #### implicit def asJavaIterable[A](i: Iterable[A]): java.lang.Iterable[A]

    Implicitly converts a Scala Iterable to a Java Iterable.

    Implicitly converts a Scala Iterable to a Java Iterable. The returned Java Iterable is backed by the provided Scala Iterable and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Iterable was previously obtained from an implicit or explicit call of `asIterable(java.lang.Iterable)` then the original Java Iterable will be returned.

    i

      The Iterable to be converted.

    returns

      A Java Iterable view of the argument.

    Definition Classes
      WrapAsJava

11. #### implicit def asJavaIterator[A](it: Iterator[A]): java.util.Iterator[A]

    Implicitly converts a Scala Iterator to a Java Iterator.

    Implicitly converts a Scala Iterator to a Java Iterator. The returned Java Iterator is backed by the provided Scala Iterator and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Iterator was previously obtained from an implicit or explicit call of `asIterator(java.util.Iterator)` then the original Java Iterator will be returned.

    it

      The Iterator to be converted.

    returns

      A Java Iterator view of the argument.

    Definition Classes
      WrapAsJava

12. #### implicit def asScalaBuffer[A](l: java.util.List[A]): Buffer[A]

    Implicitly converts a Java `List` to a Scala mutable `Buffer`.

    Implicitly converts a Java `List` to a Scala mutable `Buffer`.

    The returned Scala `Buffer` is backed by the provided Java `List` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `List` was previously obtained from an implicit or explicit call of `asScalaBuffer(scala.collection.mutable.Buffer)` then the original Scala `Buffer` will be returned.

    l

      The `List` to be converted.

    returns

      A Scala mutable `Buffer` view of the argument.

    Definition Classes
      WrapAsScala

13. #### implicit def asScalaIterator[A](it: java.util.Iterator[A]): Iterator[A]

    Implicitly converts a Java `Iterator` to a Scala `Iterator`.

    Implicitly converts a Java `Iterator` to a Scala `Iterator`.

    The returned Scala `Iterator` is backed by the provided Java `Iterator` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Iterator` was previously obtained from an implicit or explicit call of `asIterator(scala.collection.Iterator)` then the original Scala `Iterator` will be returned.

    it

      The `Iterator` to be converted.

    returns

      A Scala `Iterator` view of the argument.

    Definition Classes
      WrapAsScala

14. #### implicit def asScalaSet[A](s: java.util.Set[A]): mutable.Set[A]

    Implicitly converts a Java Set to a Scala mutable Set.

    Implicitly converts a Java Set to a Scala mutable Set. The returned Scala Set is backed by the provided Java Set and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java Set was previously obtained from an implicit or explicit call of `asScalaSet(scala.collection.mutable.Set)` then the original Scala Set will be returned.

    s

      The Set to be converted.

    returns

      A Scala mutable Set view of the argument.

    Definition Classes
      WrapAsScala

15. #### implicit def bufferAsJavaList[A](b: Buffer[A]): java.util.List[A]

    Implicitly converts a Scala mutable Buffer to a Java List.

    Implicitly converts a Scala mutable Buffer to a Java List. The returned Java List is backed by the provided Scala Buffer and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Buffer was previously obtained from an implicit or explicit call of `asBuffer(java.util.List)` then the original Java List will be returned.

    b

      The Buffer to be converted.

    returns

      A Java List view of the argument.

    Definition Classes
      WrapAsJava

16. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

17. #### implicit def collectionAsScalaIterable[A](i: Collection[A]): Iterable[A]

    Implicitly converts a Java `Collection` to an Scala `Iterable`.

    Implicitly converts a Java `Collection` to an Scala `Iterable`.

    If the Java `Collection` was previously obtained from an implicit or explicit call of `collectionAsScalaIterable(scala.collection.SizedIterable)` then the original Scala `Iterable` will be returned.

    i

      The Collection to be converted.

    returns

      A Scala Iterable view of the argument.

    Definition Classes
      WrapAsScala

18. #### implicit def dictionaryAsScalaMap[A, B](p: Dictionary[A, B]): mutable.Map[A, B]

    Implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`.

    Implicitly converts a Java `Dictionary` to a Scala mutable `Map[String, String]`.

    The returned Scala `Map[String, String]` is backed by the provided Java `Dictionary` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The Dictionary to be converted.

    returns

      A Scala mutable Map[String, String] view of the argument.

    Definition Classes
      WrapAsScala

19. #### implicit def enumerationAsScalaIterator[A](i: java.util.Enumeration[A]): Iterator[A]

    Implicitly converts a Java Enumeration to a Scala Iterator.

    Implicitly converts a Java Enumeration to a Scala Iterator. The returned Scala Iterator is backed by the provided Java Enumeration and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java Enumeration was previously obtained from an implicit or explicit call of `enumerationAsScalaIterator(scala.collection.Iterator)` then the original Scala Iterator will be returned.

    i

      The Enumeration to be converted.

    returns

      A Scala Iterator view of the argument.

    Definition Classes
      WrapAsScala

20. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

23. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

24. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

26. #### implicit def iterableAsScalaIterable[A](i: java.lang.Iterable[A]): Iterable[A]

    Implicitly converts a Java `Iterable` to a Scala `Iterable`.

    Implicitly converts a Java `Iterable` to a Scala `Iterable`.

    The returned Scala `Iterable` is backed by the provided Java `Iterable` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Iterable` was previously obtained from an implicit or explicit call of `iterableAsScalaIterable(scala.collection.Iterable)` then the original Scala Iterable will be returned.

    i

      The Iterable to be converted.

    returns

      A Scala Iterable view of the argument.

    Definition Classes
      WrapAsScala

27. #### implicit def mapAsJavaConcurrentMap[A, B](m: concurrent.Map[A, B]): ConcurrentMap[A, B]

    Implicitly converts a Scala mutable `concurrent.Map` to a Java `ConcurrentMap`.

    Implicitly converts a Scala mutable `concurrent.Map` to a Java `ConcurrentMap`.

    The returned Java `ConcurrentMap` is backed by the provided Scala `concurrent.Map` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `concurrent.Map` was previously obtained from an implicit or explicit call of `mapAsScalaConcurrentMap(java.util.concurrect.ConcurrentMap)` then the original Java ConcurrentMap will be returned.

    m

      The Scala `concurrent.Map` to be converted.

    returns

      A Java `ConcurrentMap` view of the argument.

    Definition Classes
      WrapAsJava

28. #### implicit def mapAsJavaMap[A, B](m: Map[A, B]): java.util.Map[A, B]

    Implicitly converts a Scala `Map` to a Java `Map`.

    Implicitly converts a Scala `Map` to a Java `Map`.

    The returned Java `Map` is backed by the provided Scala `Map` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Map` was previously obtained from an implicit or explicit call of `asMap(java.util.Map)` then the original Java `Map` will be returned.

    m

      The `Map` to be converted.

    returns

      A Java `Map` view of the argument.

    Definition Classes
      WrapAsJava

29. #### implicit def mapAsScalaConcurrentMap[A, B](m: ConcurrentMap[A, B]): concurrent.Map[A, B]

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap.

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap. The returned Scala ConcurrentMap is backed by the provided Java ConcurrentMap and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java ConcurrentMap was previously obtained from an implicit or explicit call of `asConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala ConcurrentMap will be returned.

    m

      The ConcurrentMap to be converted.

    returns

      A Scala mutable ConcurrentMap view of the argument.

    Definition Classes
      WrapAsScala

30. #### implicit def mapAsScalaMap[A, B](m: java.util.Map[A, B]): mutable.Map[A, B]

    Implicitly converts a Java `Map` to a Scala mutable `Map`.

    Implicitly converts a Java `Map` to a Scala mutable `Map`.

    The returned Scala `Map` is backed by the provided Java `Map` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java `Map` was previously obtained from an implicit or explicit call of `mapAsScalaMap(scala.collection.mutable.Map)` then the original Scala Map will be returned.

    m

      The Map to be converted.

    returns

      A Scala mutable Map view of the argument.

    Definition Classes
      WrapAsScala

31. #### implicit def mutableMapAsJavaMap[A, B](m: mutable.Map[A, B]): java.util.Map[A, B]

    Implicitly converts a Scala mutable Map to a Java Map.

    Implicitly converts a Scala mutable Map to a Java Map. The returned Java Map is backed by the provided Scala Map and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Map was previously obtained from an implicit or explicit call of `asMap(java.util.Map)` then the original Java Map will be returned.

    m

      The Map to be converted.

    returns

      A Java Map view of the argument.

    Definition Classes
      WrapAsJava

32. #### implicit def mutableSeqAsJavaList[A](seq: mutable.Seq[A]): java.util.List[A]

    Implicitly converts a Scala mutable Seq to a Java List.

    Implicitly converts a Scala mutable Seq to a Java List. The returned Java List is backed by the provided Scala Seq and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Seq was previously obtained from an implicit or explicit call of `asSeq(java.util.List)` then the original Java List will be returned.

    seq

      The Seq to be converted.

    returns

      A Java List view of the argument.

    Definition Classes
      WrapAsJava

33. #### implicit def mutableSetAsJavaSet[A](s: mutable.Set[A]): java.util.Set[A]

    Implicitly converts a Scala mutable Set to a Java Set.

    Implicitly converts a Scala mutable Set to a Java Set. The returned Java Set is backed by the provided Scala Set and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Set was previously obtained from an implicit or explicit call of `asSet(java.util.Set)` then the original Java Set will be returned.

    s

      The Set to be converted.

    returns

      A Java Set view of the argument.

    Definition Classes
      WrapAsJava

34. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

36. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

37. #### implicit def propertiesAsScalaMap(p: Properties): mutable.Map[String, String]

    Implicitly converts a Java `Properties` to a Scala `mutable Map[String, String]`.

    Implicitly converts a Java `Properties` to a Scala `mutable Map[String, String]`.

    The returned Scala `Map[String, String]` is backed by the provided Java `Properties` and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    p

      The Properties to be converted.

    returns

      A Scala mutable Map[String, String] view of the argument.

    Definition Classes
      WrapAsScala

38. #### implicit def seqAsJavaList[A](seq: Seq[A]): java.util.List[A]

    Implicitly converts a Scala Seq to a Java List.

    Implicitly converts a Scala Seq to a Java List. The returned Java List is backed by the provided Scala Seq and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Seq was previously obtained from an implicit or explicit call of `asSeq(java.util.List)` then the original Java List will be returned.

    seq

      The Seq to be converted.

    returns

      A Java List view of the argument.

    Definition Classes
      WrapAsJava

39. #### implicit def setAsJavaSet[A](s: Set[A]): java.util.Set[A]

    Implicitly converts a Scala Set to a Java Set.

    Implicitly converts a Scala Set to a Java Set. The returned Java Set is backed by the provided Scala Set and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Set was previously obtained from an implicit or explicit call of asSet(java.util.Set) then the original Java Set will be returned.

    s

      The Set to be converted.

    returns

      A Java Set view of the argument.

    Definition Classes
      WrapAsJava

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

### Deprecated Value Members

1. #### val DictionaryWrapper: convert.Wrappers.DictionaryWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

2. #### val IterableWrapper: convert.Wrappers.IterableWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

3. #### val IteratorWrapper: convert.Wrappers.IteratorWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

4. #### val JCollectionWrapper: convert.Wrappers.JCollectionWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

5. #### val JConcurrentMapWrapper: convert.Wrappers.JConcurrentMapWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

6. #### val JDictionaryWrapper: convert.Wrappers.JDictionaryWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

7. #### val JEnumerationWrapper: convert.Wrappers.JEnumerationWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

8. #### val JIterableWrapper: convert.Wrappers.JIterableWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

9. #### val JIteratorWrapper: convert.Wrappers.JIteratorWrapper.type

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

10. #### val JListWrapper: convert.Wrappers.JListWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

11. #### val JMapWrapper: convert.Wrappers.JMapWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

12. #### val JPropertiesWrapper: convert.Wrappers.JPropertiesWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

13. #### val JSetWrapper: convert.Wrappers.JSetWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

14. #### val MutableBufferWrapper: convert.Wrappers.MutableBufferWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

15. #### val MutableMapWrapper: convert.Wrappers.MutableMapWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

16. #### val MutableSeqWrapper: convert.Wrappers.MutableSeqWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

17. #### val MutableSetWrapper: convert.Wrappers.MutableSetWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

18. #### val SeqWrapper: convert.Wrappers.SeqWrapper.type

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use a member of scala.collection.convert.Wrappers

19. #### implicit def asJavaConcurrentMap[A, B](m: ConcurrentMap[A, B]): ConcurrentMap[A, B]

    Implicitly converts a Scala mutable `ConcurrentMap` to a Java `ConcurrentMap`.

    Implicitly converts a Scala mutable `ConcurrentMap` to a Java `ConcurrentMap`.

    The returned Java `ConcurrentMap` is backed by the provided Scala `ConcurrentMap` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `ConcurrentMap` was previously obtained from an implicit or explicit call of `asScalaConcurrentMap(java.util.concurrect.ConcurrentMap)` then the original Java ConcurrentMap will be returned.

    m

      The `ConcurrentMap` to be converted.

    returns

      A Java `ConcurrentMap` view of the argument.

    Definition Classes
      WrapAsJava
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `concurrent.Map` instead of `ConcurrentMap`.

20. #### def asJavaList[A](b: Seq[A]): java.util.List[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use seqAsJavaList instead

21. #### def asJavaList[A](b: mutable.Seq[A]): java.util.List[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use mutableSeqAsJavaList instead

22. #### def asJavaList[A](b: Buffer[A]): java.util.List[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use bufferAsJavaList instead

23. #### def asJavaMap[A, B](m: Map[A, B]): java.util.Map[A, B]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use mapAsJavaMap instead

24. #### def asJavaMap[A, B](m: mutable.Map[A, B]): java.util.Map[A, B]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use mutableMapAsJavaMap instead

25. #### def asJavaSet[A](s: Set[A]): java.util.Set[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use setAsJavaSet instead

26. #### def asJavaSet[A](s: mutable.Set[A]): java.util.Set[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use mutableSetAsJavaSet instead

27. #### def asScalaConcurrentMap[A, B](m: ConcurrentMap[A, B]): ConcurrentMap[A, B]

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap.

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap. The returned Scala ConcurrentMap is backed by the provided Java ConcurrentMap and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java ConcurrentMap was previously obtained from an implicit or explicit call of `asConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala ConcurrentMap will be returned.

    m

      The ConcurrentMap to be converted.

    returns

      A Scala mutable ConcurrentMap view of the argument.

    Definition Classes
      WrapAsScala
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `mapAsScalaConcurrentMap` instead, and use `concurrent.Map` instead of `ConcurrentMap`.

28. #### def asScalaIterable[A](i: Collection[A]): Iterable[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use collectionAsScalaIterable instead

29. #### def asScalaIterable[A](i: java.lang.Iterable[A]): Iterable[A]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use iterableAsScalaIterable instead

30. #### def asScalaMap(p: Properties): mutable.Map[String, String]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use propertiesAsScalaMap instead

31. #### def asScalaMap[A, B](m: java.util.Map[A, B]): mutable.Map[A, B]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.9.0) use mapAsScalaMap instead

32. #### implicit def mapAsScalaDeprecatedConcurrentMap[A, B](m: ConcurrentMap[A, B]): ConcurrentMap[A, B]

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap.

    Implicitly converts a Java ConcurrentMap to a Scala mutable ConcurrentMap. The returned Scala ConcurrentMap is backed by the provided Java ConcurrentMap and any side-effects of using it via the Scala interface will be visible via the Java interface and vice versa.

    If the Java ConcurrentMap was previously obtained from an implicit or explicit call of `asConcurrentMap(scala.collection.mutable.ConcurrentMap)` then the original Scala ConcurrentMap will be returned.

    m

      The ConcurrentMap to be converted.

    returns

      A Scala mutable ConcurrentMap view of the argument.

    Definition Classes
      LowPriorityWrapAsScala
    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use `mapAsScalaConcurrentMap` instead, and use `concurrent.Map` instead of `ConcurrentMap`.

### Inherited from WrapAsJava

### Inherited from WrapAsScala

### Inherited from LowPriorityWrapAsScala

### Inherited from AnyRef

### Inherited from Any

### Ungrouped